/*
  $Id: atomicnumber.c,v 1.1 2001/03/12 04:27:09 rmiya Exp $

  Calculate Molecular Weight and 
    Elemental Analysis

  copyright (c) by Ryo MIYAMOTO, 2001
*/

#include "molwt.h"

int atomicnumber(char *str, Boolean Symbol2, int *n)
{
  int i;

  for (i=1; i<=NoOfElements; i++) {
    if (strcmp(str, element[i].Symbol)==0) {
      *n = i;
      return element[i].AtomNo;
    } else if (Symbol2==TRUE && 
      strcmp(str, element[i].Symbol2)==0) {
      *n = i;
      return element[i].AtomNo;
    }
  }
  *n = NoOfElements+1;
  return -1;
}
