/*
  $Id: usage.c,v 1.3 2001/03/12 13:22:44 rmiya Exp $

  Calculate Molecular Weight and 
    Elemental Analysis

  copyright (c) by Ryo MIYAMOTO, 1998-2001
*/

#include "molwt.h"

int usage()
{
  fprintf(stderr, "Usage of Mol_Weight is: \n");
  fprintf(stderr, "\t molwt <chemical formula>\n");

  exit(1);
}

void errorDialog()
{
if (isGUI) {
#ifdef GTK
  GtkWidget *vbox, *okbutton, *action_area, *label;

  dialog=gtk_dialog_new();
  gtk_window_set_title(GTK_WINDOW(dialog), "Error Warning");
  gtk_window_set_policy(GTK_WINDOW(dialog), TRUE, TRUE, FALSE);
  gtk_signal_connect(GTK_OBJECT(dialog), "destroy", GTK_SIGNAL_FUNC(gtk_widget_destroy), dialog);
  gtk_container_border_width(GTK_CONTAINER(dialog), 10);
  action_area=GTK_DIALOG(dialog)->action_area;
  vbox=GTK_DIALOG(dialog)->vbox;

  label=gtk_label_new("  ERROR: Check Chemical Formula  ");
  gtk_widget_show(label);
  gtk_box_pack_start(GTK_BOX(vbox), label, TRUE, TRUE, 5);

  okbutton=gtk_button_new_with_label("OK");
  gtk_widget_show(okbutton);
  gtk_box_pack_start(GTK_BOX(action_area), okbutton, TRUE, TRUE, 10);
  GTK_WIDGET_SET_FLAGS(okbutton, GTK_CAN_DEFAULT);
  gtk_widget_grab_default(okbutton);
  gtk_signal_connect_object(GTK_OBJECT(okbutton), "clicked", GTK_SIGNAL_FUNC(gtk_widget_destroy), GTK_OBJECT(dialog));

  gtk_widget_show(dialog);
  gtk_grab_add(GTK_WIDGET(dialog));
#else
  Widget cancelbutton, helpbutton;

  dialog=XmCreateWarningDialog(toplevel, "dialog", NULL, 0);
  cancelbutton=XmMessageBoxGetChild(dialog, XmDIALOG_CANCEL_BUTTON);
  XtUnmanageChild(cancelbutton);
  helpbutton=XmMessageBoxGetChild(dialog, XmDIALOG_HELP_BUTTON);
  XtUnmanageChild(helpbutton);
  XtManageChild(dialog);
#endif
} else {
  usage();
}
}
